<?php
/**
 * /subs/profile.php
 * @version 1.0
 * @desc profile menu
 * @author Fándly Gergő Zoltán (fandlygergo@gmail.hu, systemtest.tk)
 * @copy 2017 Fándly Gergő Zoltán
 * License:
    Result Manager for managing results of students in bilingual school systems.
    Copyright (C) 2017  Fándly Gergő Zoltán

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 **/

?>

<div class="selfcenter">
    <p><?php echo $lang['needlogout'] ?></p>
    <hr class="palceholder">
    <table class="selfcenter">
        <tr>
            <td><?php echo $lang['id'].": " ?></td>
            <td><?php echo $_SESSION['id'] ?></td>
        </tr>
        <tr>
            <td><?php echo $lang['username'].": " ?></td>
            <td><?php echo $_SESSION['username'] ?></td>
        </tr>
        <tr>
            <td><?php echo $lang['fullname'].": " ?></td>
            <td><?php echo $_SESSION['fullname'] ?></td>
        </tr>
        <tr>
            <td><?php echo $lang['accesslevel'].": " ?></td>
            <td><?php echo $_SESSION['accesslevel'] ?></td>
        </tr>
        <tr>
            <td><?php echo $lang['class'].": " ?></td>
            <td><?php echo $_SESSION['class'] ?></td>
        </tr>
        <tr>
            <td><?php echo $lang['perm_message'].": " ?></td>
            <td><?php echo $_SESSION['perm_message']?$lang['ryes']:$lang['rno'] ?></td>
        </tr>
    </table>
    <hr>
    <hr class="placeholder">
    <form method="POST" class="ajaxform center" id="editpasswd" autocomplete="off" onsubmit="profileSetNewPassword()">
        <p><?php echo $lang['editpasswd'] ?></p>
        <table class="selfcenter">
            <tr>
                <td><?php echo $lang['password'].": " ?></td>
                <td><input type="password" name="password" placeholder="<?php echo $lang['password']."..." ?>" required></td>
            </tr>
            <tr>
                <td><?php echo $lang['password_confirm'].": " ?></td>
                <td><input type="password" name="password_confirm" placeholder="<?php echo $lang['password_confirm']."..." ?>" required></td>
            </tr>
        </table>
        <br>
        <br>
        <button type="submit" form="editpasswd"><?php echo $lang['ok'] ?></button>
    </form>
</div>
